Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.handler
Class Phase

    java.lang.Object
      org.codehaus.xfire.handler.Phase

All Implemented Interfaces:
  java.lang.Comparable

    public class Phase

extends java.lang.Object
implements java.lang.Comparable

Field Summary
`static java.lang.String` | `DISPATCH`
`static java.lang.String` | `PARSE`
`static java.lang.String` | `POLICY`
`static java.lang.String` | `POST_INVOKE`
`static java.lang.String` | `PRE_DISPATCH`
`static java.lang.String` | `PRE_INVOKE`
`static java.lang.String` | `SEND`
`static java.lang.String` | `SERVICE`
`static java.lang.String` | `TRANSPORT`
`static java.lang.String` | `USER`

Constructor Summary
`Phase(java.lang.String name, int priority)`

Method Summary
`int` | `compareTo(java.lang.Object obj)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()`
`int` | `getPriority()`
`int` | `hashCode()`
`void` | `setName(java.lang.String name)`
`void` | `setPriority(int priority)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSPORT

    public static final java.lang.String TRANSPORT

See Also:
  Constant Field Values

### PARSE

    public static final java.lang.String PARSE

See Also:
  Constant Field Values

### PRE_DISPATCH

    public static final java.lang.String PRE_DISPATCH

See Also:
  Constant Field Values

### DISPATCH

    public static final java.lang.String DISPATCH

See Also:
  Constant Field Values

### POLICY

    public static final java.lang.String POLICY

See Also:
  Constant Field Values

### USER

    public static final java.lang.String USER

See Also:
  Constant Field Values

### PRE_INVOKE

    public static final java.lang.String PRE_INVOKE

See Also:
  Constant Field Values

### SERVICE

    public static final java.lang.String SERVICE

See Also:
  Constant Field Values

### POST_INVOKE

    public static final java.lang.String POST_INVOKE

See Also:
  Constant Field Values

### SEND

    public static final java.lang.String SEND

See Also:
  Constant Field Values

Constructor Detail

### Phase

    public Phase(java.lang.String name,
                 int priority)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.